# MittelmannDistCntrlNeumA3 Class Reference

Class implementating Example 6. More...

`#include <MittelmannDistCntrlNeumA.hpp>`

Inheritance diagram for MittelmannDistCntrlNeumA3:
[legend]

List of all members.

## Public Member Functions
| MittelmannDistCntrlNeumA3 ()
virtual | ~MittelmannDistCntrlNeumA3 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2) const
| Profile function for initial y.
virtual Number | fint_cont (Number x1, Number x2, Number y, Number u) const
| Integrant in objective function.
virtual Number | fint_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dydy_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dudu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dudu_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | fint_cont_dydu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t.
virtual bool | fint_cont_dydu_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t.
virtual Number | d_cont (Number x1, Number x2, Number y, Number u) const
| Forcing function for the elliptic equation.
virtual Number | d_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t.
virtual Number | d_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t y,y.
virtual bool | d_cont_dydy_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
virtual Number | d_cont_dudu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t.
virtual bool | d_cont_dudu_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
virtual Number | d_cont_dydu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t.
virtual bool | d_cont_dydu_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t.
## Private Member Functions
Number | a (Number x1, Number x2) const
hide implicitly defined contructors copy operators
| MittelmannDistCntrlNeumA3 (const MittelmannDistCntrlNeumA3 &)
MittelmannDistCntrlNeumA3 & | operator= (const MittelmannDistCntrlNeumA3 &)
| Overloaded Equals Operator.
## Private Attributes
const Number | pi_
| Value of pi (made available for convenience).
const Number | M_
const Number | K_
const Number | b_

## Detailed Description

Class implementating Example 6.

Definition at line 557 of file MittelmannDistCntrlNeumA.hpp.

## Constructor & Destructor Documentation

MittelmannDistCntrlNeumA3::MittelmannDistCntrlNeumA3 | ( |  | ) | `[inline]`

Definition at line 560 of file MittelmannDistCntrlNeumA.hpp.

virtual MittelmannDistCntrlNeumA3::~MittelmannDistCntrlNeumA3 | ( |  | ) | `[inline, virtual]`

Definition at line 568 of file MittelmannDistCntrlNeumA.hpp.

MittelmannDistCntrlNeumA3::MittelmannDistCntrlNeumA3 | ( | const MittelmannDistCntrlNeumA3 & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannDistCntrlNeumA3::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 571 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::y_d_cont | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, protected, virtual]`

Profile function for initial y.

Implements MittelmannDistCntrlNeumABase.

Definition at line 592 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::fint_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Integrant in objective function.

Implements MittelmannDistCntrlNeumABase.

Definition at line 597 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::fint_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of fint_cont w.r.t.

y

Implements MittelmannDistCntrlNeumABase.

Definition at line 602 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::fint_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of fint_cont w.r.t.

u

Implements MittelmannDistCntrlNeumABase.

Definition at line 608 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::fint_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

y,y

Implements MittelmannDistCntrlNeumABase.

Definition at line 613 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA3::fint_cont_dydy_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 619 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::fint_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

u,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 624 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA3::fint_cont_dudu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

u,u is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 630 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::fint_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of fint_cont w.r.t.

y,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 635 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA3::fint_cont_dydu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of fint_cont w.r.t.

y,u is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 641 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Forcing function for the elliptic equation.

Implements MittelmannDistCntrlNeumABase.

Definition at line 646 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::d_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

y

Implements MittelmannDistCntrlNeumABase.

Definition at line 651 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::d_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

First partial derivative of forcing function w.r.t.

u

Implements MittelmannDistCntrlNeumABase.

Definition at line 656 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::d_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t y,y.

Implements MittelmannDistCntrlNeumABase.

Definition at line 661 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA3::d_cont_dydy_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 667 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::d_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t.

u,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 672 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA3::d_cont_dudu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 678 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA3::d_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u |
| ) |  |  | const`[inline, protected, virtual]`

Second partial derivative of forcing function w.r.t.

y,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 683 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA3::d_cont_dydu_alwayszero | ( |  | ) | const`[inline, protected, virtual]`

returns true if second partial derivative of d_cont w.r.t.

y,u is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 689 of file MittelmannDistCntrlNeumA.hpp.

MittelmannDistCntrlNeumA3& MittelmannDistCntrlNeumA3::operator= | ( | const MittelmannDistCntrlNeumA3 & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from MittelmannDistCntrlNeumABase.

Number MittelmannDistCntrlNeumA3::a | ( | Number | x1,
|  | Number | x2 |
| ) |  |  | const`[inline, private]`

Definition at line 708 of file MittelmannDistCntrlNeumA.hpp.

## Member Data Documentation

const Number MittelmannDistCntrlNeumA3::pi_`[private]`

Value of pi (made available for convenience).

Definition at line 700 of file MittelmannDistCntrlNeumA.hpp.

const Number MittelmannDistCntrlNeumA3::M_`[private]`

Definition at line 703 of file MittelmannDistCntrlNeumA.hpp.

const Number MittelmannDistCntrlNeumA3::K_`[private]`

Definition at line 704 of file MittelmannDistCntrlNeumA.hpp.

const Number MittelmannDistCntrlNeumA3::b_`[private]`

Definition at line 705 of file MittelmannDistCntrlNeumA.hpp.

The documentation for this class was generated from the following file:

- examples/ScalableProblems/MittelmannDistCntrlNeumA.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines